## ros-melodic-pilz-industrial-motion-testutils 0.6.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(pilz_industrial_motion_testutils)

add_definitions(-std=c++14)
add_definitions(-Wall)
add_definitions(-Wextra)
add_definitions(-Wno-unused-parameter)
add_definitions(-Werror)

find_package(catkin REQUIRED COMPONENTS
  moveit_core
  moveit_msgs
  pilz_msgs
  eigen_conversions
)

find_package(Boost REQUIRED COMPONENTS)


## Uncomment this if the package has a setup.py. This macro ensures
## modules and global scripts declared therein get installed
## See http://ros.org/doc/api/catkin/html/user_guide/setup_dot_py.html
catkin_python_setup()

################
## Clang tidy ##
################
if(CATKIN_ENABLE_CLANG_TIDY)
  find_program(
    CLANG_TIDY_EXE
    NAMES "clang-tidy"
    DOC "Path to clang-tidy executable"
    )
  if(NOT CLANG_TIDY_EXE)
    message(FATAL_ERROR "clang-tidy not found.")
  else()
    message(STATUS "clang-tidy found: ${CLANG_TIDY_EXE}")
    set(CMAKE_CXX_CLANG_TIDY "${CLANG_TIDY_EXE}")
  endif()
endif()

###################################
## catkin specific configuration ##
###################################
catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS moveit_core moveit_msgs pilz_msgs
  DEPENDS Boost
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
include_directories(
 include
 ${catkin_INCLUDE_DIRS}
 ${Boost_INCLUDE_DIRS}
)

## Declare a C++ library
 add_library(${PROJECT_NAME}
   src/xml_testdata_loader.cpp
   src/robotconfiguration.cpp
   src/jointconfiguration.cpp
   src/cartesianconfiguration.cpp
   src/sequence.cpp
)

## Specify libraries to link a library or executable target against
 target_link_libraries(${PROJECT_NAME}
   ${catkin_LIBRARIES}
)

add_dependencies(${PROJECT_NAME}
            ${catkin_EXPORTED_TARGETS})

#############
## Install ##
#############

install(PROGRAMS
   src/${PROJECT_NAME}/xml_testdata_loader.py
   src/${PROJECT_NAME}/acceptance_test_utils.py
   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY
   test_data
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
  PATTERN ".svn" EXCLUDE
)

## Mark executables and/or libraries for installation
install(TARGETS ${PROJECT_NAME}
   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

=== debian/changelog ===
ros-melodic-pilz-industrial-motion-testutils (0.6.0-1bionic) bionic; urgency=high

  * Move to new repo pilz_common
  * Generalize integration_test_utils.py to break cyclic dependency
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Thu, 19 Nov 2020 23:00:00 -0000

ros-melodic-pilz-industrial-motion-testutils (0.4.11-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 15 Jul 2020 22:00:00 -0000

ros-melodic-pilz-industrial-motion-testutils (0.4.10-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 03 Dec 2019 23:00:00 -0000

ros-melodic-pilz-industrial-motion-testutils (0.4.9-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 27 Nov 2019 23:00:00 -0000

ros-melodic-pilz-industrial-motion-testutils (0.4.8-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Thu, 21 Nov 2019 23:00:00 -0000

ros-melodic-pilz-industrial-motion-testutils (0.4.7-1bionic) bionic; urgency=high

  * Fix clang-tidy issues
  * integrate clang-tidy via CMake flag
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 09 Sep 2019 22:00:00 -0000

ros-melodic-pilz-industrial-motion-testutils (0.4.6-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 03 Sep 2019 22:00:00 -0000

ros-melodic-pilz-industrial-motion-testutils (0.4.5-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 02 Sep 2019 22:00:00 -0000

ros-melodic-pilz-industrial-motion-testutils (0.4.4-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 18 Jun 2019 22:00:00 -0000

ros-melodic-pilz-industrial-motion-testutils (0.4.3-1bionic) bionic; urgency=high

  * update package dependencies
  * Add missing intialization
  * Add getter for CircJointInterimCart in XMLTestdataLoader

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 07 Apr 2019 22:00:00 -0000

ros-melodic-pilz-industrial-motion-testutils (0.4.2-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 12 Mar 2019 23:00:00 -0000

ros-melodic-pilz-industrial-motion-testutils (0.4.1-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 26 Feb 2019 23:00:00 -0000

ros-melodic-pilz-industrial-motion-testutils (0.4.0-1bionic) bionic; urgency=high

  * Use Eigen::Isometry3d to keep up with the recent changes in moveit
  * Contributors: Chris Lalancette

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 17 Dec 2018 23:00:00 -0000

ros-melodic-pilz-industrial-motion-testutils (0.3.6-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 25 Feb 2019 23:00:00 -0000

ros-melodic-pilz-industrial-motion-testutils (0.3.5-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 05 Feb 2019 23:00:00 -0000

ros-melodic-pilz-industrial-motion-testutils (0.3.4-1bionic) bionic; urgency=high

  * Add high level abstraction data classes to represent configuration of robot
  * Add high level abstraction data classes to represent different command types
  * Add functions to TestdataLoader returning the high level abstraction classes

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 04 Feb 2019 23:00:00 -0000

ros-melodic-pilz-industrial-motion-testutils (0.3.1-1bionic) bionic; urgency=high

  * Add RobotMotionObserver in testutils
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 16 Dec 2018 23:00:00 -0000

ros-melodic-pilz-industrial-motion-testutils (0.3.0-1bionic) bionic; urgency=high

  * rename get_current_joint_values -> get_current_joint_states

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 27 Nov 2018 23:00:00 -0000

ros-melodic-pilz-industrial-motion-testutils (0.2.2-1bionic) bionic; urgency=high

  * fix missing dependency for melodic
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 25 Sep 2018 22:00:00 -0000

ros-melodic-pilz-industrial-motion-testutils (0.2.1-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 24 Sep 2018 22:00:00 -0000

ros-melodic-pilz-industrial-motion-testutils (0.2.0-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Thu, 13 Sep 2018 22:00:00 -0000

ros-melodic-pilz-industrial-motion-testutils (0.1.1-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 24 Sep 2018 22:00:00 -0000

ros-melodic-pilz-industrial-motion-testutils (0.1.0-1bionic) bionic; urgency=high

  * xml test data loader.
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Thu, 13 Sep 2018 22:00:00 -0000

=== debian/control ===
Source: ros-melodic-pilz-industrial-motion-testutils
Section: misc
Priority: optional
Maintainer: Alexander Gutenkunst <a.gutenkunst@pilz.de>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-eigen-conversions, ros-melodic-moveit-core, ros-melodic-moveit-msgs, ros-melodic-pilz-msgs
Homepage: https://wiki.ros.org/pilz_industrial_motion_testutils
Standards-Version: 3.9.2

Package: ros-melodic-pilz-industrial-motion-testutils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-moveit-commander, ros-melodic-moveit-core, ros-melodic-moveit-msgs, ros-melodic-pilz-msgs
Description: Helper scripts and functionality to test industrial motion generation

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-pilz-industrial-motion-testutils//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
